# Get asset Returns a token requestor's logo, in `PNG` and `SVG` format. For more information, refer to the Mastercard Token Connect API. Pismo acts as a proxy for the Mastercard Token Connect API. For more information, refer to the [MDES Token Connect](doc:mdes-token-connect) guide. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Card issuing - Tokenization", "description": "API endpoints for card tokenization.", "version": "1.0.0", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://gw-pci.pismolabs.io/cards-tokenization", "description": "PCI API server for testing" }, { "url": "https://pci.pismolabs.io/cards-tokenization", "description": "Sandbox API server for testing" } ], "tags": [ { "name": "MDES Token Connect [Beta]", "description": "Mastercard's Token Connect service endpoints" } ], "components": { "parameters": { "accessTokenHeader": { "name": "access_token", "in": "header", "required": true, "schema": { "type": "string" }, "description": "Access token. Tokens can expire quickly, which can result in a **401 Unauthorized** error." }, "AssetID": { "name": "assetId", "in": "path", "required": true, "schema": { "type": "string" }, "description": "Image asset ID. This is the `image_asset_id` field returned from the [Get eligible token requestors](https://developers.pismo.io/pismo-docs/reference/token_connect_get_eligible_token_requestors) endpoint.\n" }, "TenantHeader": { "name": "x-tenant", "in": "header", "schema": { "type": "string" }, "description": "Pismo organization/tenant ID", "required": true } }, "schemas": { "GetAssetResponse": { "type": "object", "properties": { "media_contents": { "type": "array", "description": "List of media content items", "items": { "$ref": "#/components/schemas/MediaContent" }, "example": [ { "type": "image/png", "data": "base64EncodedImageData...", "height": "100", "width": "100" } ] } } }, "MediaContent": { "type": "object", "required": [ "type", "data" ], "properties": { "type": { "type": "string", "description": "\nMedia content MIME type\n\n* `application/pdf` - For images (must be a vector PDF image)\n* `image/png` - Includes alpha channel\n* `image/svg+xml` - Image in SVG format\n* `text/plain` - Plain text\n* `text/html` - HTML text\n", "enum": [ "application/pdf", "image/png", "image/svg+xml", "text/plain", "text/html" ], "example": "image/png" }, "data": { "type": "string", "description": "Base64 encoded media data.", "example": "base64EncodedImageData..." }, "height": { "type": "string", "description": "For non-SVG image assets, the image height in pixels.\n", "maxLength": 6, "example": "100" }, "width": { "type": "string", "description": "For non-SVG image assets, the image width in pixels.\n", "maxLength": 6, "example": "100" } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account token - token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a \"**401 Unauthorized**\" error.", "bearerFormat": "JWT" } } }, "security": [ { "BearerAuth": [] } ], "paths": { "/v1/token-connect/assets/{assetId}": { "get": { "summary": "Get asset", "description": "Returns a token requestor's logo, in `PNG` and `SVG` format.\n\nFor more information, refer to the Mastercard Token Connect API.\n\nPismo acts as a proxy for the Mastercard Token Connect API. \n\nFor more information, refer to the [MDES Token Connect](https://developers.pismo.io/pismo-docs/docs/mdes-token-connect) guide.\n", "operationId": "token_connect_get_asset", "tags": [ "MDES Token Connect [Beta]" ], "parameters": [ { "$ref": "#/components/parameters/TenantHeader" }, { "$ref": "#/components/parameters/AssetID" }, { "$ref": "#/components/parameters/accessTokenHeader" } ], "responses": { "200": { "description": "Successful response", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/GetAssetResponse" } } } }, "400": { "description": "Bad request" }, "500": { "description": "Internal server error" } } } } } } ```